-- clipping to provide illusion of animation, needs refinement

local t = 0

function main()
  current_sprite.que = -1000
  current_sprite.nodraw = true
  -- show it all
  current_sprite.clip_right = 256

  while true do
    -- select our shown bit
    current_sprite.clip_top = t
    current_sprite.clip_bottom = t + 128
    t = t + 128
    current_sprite.y = current_sprite.y - 128
    if t >= 640 then
      t = 0
      current_sprite.y = 875
    end
    dink.wait(50)
    current_sprite.nodraw = false
  end

  end
